# Uses of Enum
org.apache.sling.discovery.TopologyEvent.Type

## Uses of TopologyEvent.Type in org.apache.sling.discovery

Methods in org.apache.sling.discovery that return TopologyEvent.Type
Modifier and Type
Method
Description
`TopologyEvent.Type`
TopologyEvent.`getType()`
Returns the type of this event
`static TopologyEvent.Type`
TopologyEvent.Type.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TopologyEvent.Type[]`
TopologyEvent.Type.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.sling.discovery with parameters of type TopologyEvent.Type
Modifier
Constructor
Description
``
`TopologyEvent(TopologyEvent.Type type, TopologyView oldView, TopologyView newView)`